Mandates APIbetaMandate management
Get amendment details
Retrieve amendment details. Recalled amendments return 404 Not Found.
Authorization
Bearer AuthorizationBearer <token>
Bearer token using a JWT.
In: header
Path Parameters
id*string
Amendment identifier.
Format
uuidHeader Parameters
X-Volt-Api-Version*integer
Version of the API used. Currently, version 1 is the only version.
Value in
1Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://gateway.sandbox.volt.io/amendments/79fb2306-e199-497e-b5a1-912a68a02894" \ -H "X-Volt-Api-Version: 1"{
"id": "79fb2306-e199-497e-b5a1-912a68a02894",
"mandateId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"track": "BILATERAL",
"initiator": "BENEFICIARY",
"status": {
"status": "AWAITING_APPROVAL",
"details": null
},
"changes": {
"validity": {
"to": "2026-08-31 00:00:00"
},
"payTo": {
"limits": {
"payment": {
"amount": 12000
}
}
}
},
"createdAt": "2026-04-10T12:00:34+00:00",
"updatedAt": "2026-04-10T12:00:34+00:00"
}{
"code": "UNAUTHORISED",
"message": "Unauthorised."
}{
"code": "ACCESS_DENIED",
"message": "Access denied."
}{
"code": "RESOURCE_NOT_FOUND",
"message": "Not found."
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Something went wrong. Please, contact support. TraceId: b8cfd344-093c-4b8c-8fd4-f0e406060c3c. Timestamp: 1723193467."
}Create amendment request POST
Create amendment request while mandate is `ACTIVE` or `SUSPENDED`. At least one of `validity` or `payTo` must be provided. The `payTo` field is only allowed for PayTo mandates. If the mandate has already been used for payments, the `validity.from` (start date) cannot be amended.
Recall amendment request DELETE
Recall pending (`NEW` or `AWAITING_APPROVAL`) amendment.